itpp::Pattern_Source Class Reference
Signal Processing (SP) Module » Deterministic Sources

Pattern source. More...

`#include <itpp/signal/source.h>`

## Public Member Functions

| Pattern_Source (const vec &pattern, int start_pos=0)
| Constructor. Set pattern and start position.
virtual | ~Pattern_Source ()
| Destructor.
double | operator() ()
| Return a single sample.
vec | operator() (int n)
| Get a sample vector.
mat | operator() (int h, int w)
| Get a sample matrix.

## Detailed Description

Pattern source.

Definition at line 149 of file source.h.

The documentation for this class was generated from the following files:

- itpp/signal/source.h
- itpp/signal/source.cpp

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13